Dim WD As String
Dim CDB As String
Dim ATT As String
Dim File As Integer

Sub Main
	On Error GoTo ErrorHandler

	WD = Client.WorkingDirectory() 'Carpeta de Trabajo Actual
	CDB  = Client.CurrentDatabase.Name 'Base de datos Activa

	Call PathValidate() 'Funcion que valida la existencia de la carpeta de Exportaciones correspondiente a IDEA 9 y crea la carpeta en caso de usarse una version posterior de IDEA
	Call ExportDatabaseXLS8() ' Archivo-Exportar Base de Datos: XLS8
	Call SendEmail() 'Despliega la pantalla de Outlook para envio de un nuevo Email con el archivo adjunto
	
	ErrorHandler:
		If Client.ErrorCode > 0 Then
			Exit Sub
		End If
End Sub

Function ExportDatabaseXLS8
	Dim Directory As Integer
	Dim fPath As Integer	
	
	Directory = Len(WD)
	fPath = Len(CDB)
	File = fPath - Directory
	
	Set db = Client.OpenDatabase(CDB)
	Set task = db.ExportDatabase
	task.IncludeAllFields
	eqn = ""
	task.PerformTask WD & "\Exportaciones.ILB\" & Left(Right(CDB,File),InStr(1,Right(CDB,File),".")-1) & ".XLSX", "Database", "XLSX", 1, db.Count, eqn
	ATT = WD & "\Exportaciones.ILB\" & Left(Right(CDB,File),InStr(1,Right(CDB,File),".")-1) & ".XLSX"
	Set db = Nothing
	Set task = Nothing
End Function

Function SendEmail
	Set ol = CreateObject("Outlook.Application")
	Set newMail = ol.CreateItem(olMailItem)
	
	newMail.Display
	newMail.Attachments.Add(ATT)
End Function

Function PathValidate
	Dim libreria As String
	Dim test As String 
	
	libreria = WD & "Exportaciones.ILB"
	test = Dir(libreria,16)
		
	If Len(test) < 1 Then
		MkDir WD & "Exportaciones.ILB"
	End If
End Function